<?xml version="1.0" encoding="utf-8"?>
<extension type="module" client="site" method="upgrade">
	<name>mod_articles_news</name>
	<author>Joomla! Project</author>
	<creationDate>July 2006</creationDate>
	<copyright>(C) 2006 Open Source Matters, Inc.</copyright>
	<license>GNU General Public License version 2 or later; see LICENSE.txt</license>
	<authorEmail>admin@joomla.org</authorEmail>
	<authorUrl>www.joomla.org</authorUrl>
	<version>3.0.0</version>
	<description>MOD_ARTICLES_NEWS_XML_DESCRIPTION</description>
	<namespace path="src">Joomla\Module\ArticlesNews</namespace>
	<files>
		<filename module="mod_articles_news">mod_articles_news.php</filename>
		<folder>src</folder>
		<folder>tmpl</folder>
	</files>
	<languages>
		<language tag="en-GB">language/en-GB/mod_articles_news.ini</language>
		<language tag="en-GB">language/en-GB/mod_articles_news.sys.ini</language>
	</languages>
	<help key="JHELP_EXTENSIONS_MODULE_MANAGER_ARTICLES_NEWSFLASH"/>
	<config>
		<fields name="params">
			<fieldset name="basic">
				<field
					name="catid"
					type="category"
					label="JCATEGORY"
					extension="com_content"
					multiple="true"
					filter="intarray"
					class="multipleCategories"
					layout="joomla.form.field.list-fancy-select"
				/>

				<field
					name="tag"
					type="tag"
					label="JTAG"
					mode="nested"
					multiple="true"
					filter="intarray"
					class="multipleTags"
				/>

				<field
					name="image"
					type="radio"
					layout="joomla.form.field.radio.switcher"
					label="MOD_ARTICLES_NEWS_FIELD_IMAGES_LABEL"
					description="MOD_ARTICLES_NEWS_FIELD_IMAGES_DESC"
					default="0"
					filter="integer"
					>
					<option value="0">JHIDE</option>
					<option value="1">JSHOW</option>
				</field>

				<field
					name="img_intro_full"
					type="list"
					label="MOD_ARTICLES_NEWS_FIELD_IMAGES_ARTICLE_LABEL"
					default="none"
					validate="options"
					>
					<option value="intro">MOD_ARTICLES_NEWS_OPTION_INTROIMAGE</option>
					<option value="full">MOD_ARTICLES_NEWS_OPTION_FULLIMAGE</option>
					<option value="none">JNO</option>
				</field>

				<field
					name="item_title"
					type="radio"
					layout="joomla.form.field.radio.switcher"
					label="MOD_ARTICLES_NEWS_FIELD_TITLE_LABEL"
					default="0"
					filter="integer"
					>
					<option value="0">JHIDE</option>
					<option value="1">JSHOW</option>
				</field>

				<field
					name="link_titles"
					type="list"
					label="MOD_ARTICLES_NEWS_FIELD_LINKTITLE_LABEL"
					default=""
					filter="integer"
					class="form-select-color"
					showon="item_title:1"
					validate="options"
					>
					<option value="">JGLOBAL_USE_GLOBAL</option>
					<option value="0">JNO</option>
					<option value="1">JYES</option>
				</field>

				<field
					name="item_heading"
					type="list"
					label="MOD_ARTICLES_NEWS_TITLE_HEADING"
					default="h4"
					showon="item_title:1"
					validate="options"
					>
					<option value="h1">JH1</option>
					<option value="h2">JH2</option>
					<option value="h3">JH3</option>
					<option value="h4">JH4</option>
					<option value="h5">JH5</option>
				</field>

				<field
					name="triggerevents"
					type="radio"
					label="MOD_ARTICLES_NEWS_FIELD_TRIGGEREVENTS_LABEL"
					layout="joomla.form.field.radio.switcher"
					default="1"
					filter="integer"
					>
					<option value="0">JNO</option>
					<option value="1">JYES</option>
				</field>

				<field
					name="showLastSeparator"
					type="radio"
					layout="joomla.form.field.radio.switcher"
					label="MOD_ARTICLES_NEWS_FIELD_SEPARATOR_LABEL"
					default="1"
					filter="integer"
					>
					<option value="0">JHIDE</option>
					<option value="1">JSHOW</option>
				</field>

				<field
					name="show_introtext"
					type="radio"
					layout="joomla.form.field.radio.switcher"
					label="MOD_ARTICLES_NEWS_FIELD_SHOWINTROTEXT_LABEL"
					default="1"
					filter="integer"
					>
					<option value="0">JHIDE</option>
					<option value="1">JSHOW</option>
				</field>

				<field
					name="readmore"
					type="radio"
					layout="joomla.form.field.radio.switcher"
					label="MOD_ARTICLES_NEWS_FIELD_READMORE_LABEL"
					default="0"
					filter="integer"
					>
					<option value="0">JHIDE</option>
					<option value="1">JSHOW</option>
				</field>

				<field
					name="count"
					type="number"
					label="MOD_ARTICLES_NEWS_FIELD_ITEMS_LABEL"
					default="5"
					filter="integer"
				/>

				<field
					name="show_featured"
					type="list"
					label="MOD_ARTICLES_NEWS_FIELD_FEATURED_LABEL"
					default=""
					filter="integer"
					validate="options"
					>
					<option value="">JSHOW</option>
					<option value="0">JHIDE</option>
					<option value="1">MOD_ARTICLES_NEWS_VALUE_ONLY_SHOW_FEATURED</option>
				</field>

				<field
					name="exclude_current"
					type="radio"
					label="MOD_ARTICLES_NEWS_FIELD_EXCLUDE_CURRENT_LABEL"
					layout="joomla.form.field.radio.switcher"
					default="1"
					filter="integer"
					>
					<option value="0">JNO</option>
					<option value="1">JYES</option>
				</field>

				<field
					name="ordering"
					type="list"
					label="MOD_ARTICLES_NEWS_FIELD_ORDERING_LABEL"
					default="a.publish_up"
					validate="options"
					>
					<option value="a.publish_up">MOD_ARTICLES_NEWS_FIELD_ORDERING_PUBLISHED_DATE</option>
					<option value="a.created">MOD_ARTICLES_NEWS_FIELD_ORDERING_CREATED_DATE</option>
					<option value="a.modified">MOD_ARTICLES_NEWS_FIELD_ORDERING_MODIFIED_DATE</option>
					<option value="a.ordering">MOD_ARTICLES_NEWS_FIELD_ORDERING_ORDERING</option>
					<option value="a.hits">JGLOBAL_HITS</option>
					<option value="rand()">MOD_ARTICLES_NEWS_FIELD_ORDERING_RANDOM</option>
				</field>

				<field
					name="direction"
					type="list"
					label="JGLOBAL_ORDER_DIRECTION_LABEL"
					default="1"
					filter="integer"
					showon="ordering:a.publish_up,a.created,a.modified,a.ordering,a.hits"
					validate="options"
					>
					<option value="0">JGLOBAL_ORDER_ASCENDING</option>
					<option value="1">JGLOBAL_ORDER_DESCENDING</option>
				</field>
			</fieldset>

			<fieldset name="advanced">
				<field
					name="layout"
					type="modulelayout"
					label="JFIELD_ALT_LAYOUT_LABEL"
					class="form-select"
					validate="moduleLayout"
				/>

				<field
					name="moduleclass_sfx"
					type="textarea"
					label="COM_MODULES_FIELD_MODULECLASS_SFX_LABEL"
					rows="3"
					validate="CssIdentifier"
				/>

				<field
					name="cache"
					type="list"
					label="COM_MODULES_FIELD_CACHING_LABEL"
					default="1"
					filter="integer"
					validate="options"
					>
					<option value="1">JGLOBAL_USE_GLOBAL</option>
					<option value="0">COM_MODULES_FIELD_VALUE_NOCACHING</option>
				</field>

				<field
					name="cache_time"
					type="number"
					label="COM_MODULES_FIELD_CACHE_TIME_LABEL"
					default="900"
					filter="integer"
				/>

				<field
					name="cachemode"
					type="hidden"
					default="itemid"
					>
					<option value="itemid"></option>
				</field>
			</fieldset>
		</fields>
	</config>
</extension>
